Debian Bug report logs - #304570
ITP: codeblocks -- Code::Blocks integrated development environment (IDE)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: netzmeister@source-code.de

Date: Thu, 14 Apr 2005 04:18:02 UTC

Owned by: David Paleino <dapal@debian.org>

Severity: wishlist

Fixed in version codeblocks/10.05-1

Done: David Paleino <dapal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francois-Denis Gonthier <neumann@lostwebsite.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francois-Denis Gonthier <neumann@lostwebsite.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: codeblocks -- Code::Blocks is a free C/C++ IDE built
Date: Thu, 14 Apr 2005 00:12:02 -0400
Package: wnpp
Severity: wishlist
Owner: "Francois-Denis Gonthier" <neumann@lostwebsite.net>


* Package name    : codeblocks
  Version         : x.y.z
  Upstream Author : Name <somebody@example.org>
* URL             : http://www.example.org/
* License         : (GPL, LGPL, BSD, MIT/X, etc.)
  Description     : Code::Blocks is a free C/C++ IDE built.

Code::Blocks is a free C/C++ IDE built specifically to meet the most
demanding needs of its users. It has been designed, right from the
start, to be extensible and configurable... Code::Blocks is built around
a plugin framework that allows it to be extended through the use of
external libraries (plugins). Actually, much of Code::Blocks
functionality already available, is provided by plugins. Code::Blocks
even includes a plugin creation wizard to help you create your own
plugins easily!

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Michael Koch" <konqueror@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #10 received at 304570@bugs.debian.org (full text, mbox):

From: "Michael Koch" <konqueror@gmx.de>
To: Francois-Denis Gonthier <neumann@lostwebsite.net>, 304570@bugs.debian.org
Subject: Re: Bug#304570: ITP: codeblocks -- Code::Blocks is a free C/C++ IDE built
Date: Thu, 14 Apr 2005 06:39:43 +0200
On Thu, Apr 14, 2005 at 12:12:02AM -0400, Francois-Denis Gonthier wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Francois-Denis Gonthier" <neumann@lostwebsite.net>
> 
> 
> * Package name    : codeblocks
>   Version         : x.y.z

No version?

>   Upstream Author : Name <somebody@example.org>

No upstream author?

> * URL             : http://www.example.org/

No homepage?

> * License         : (GPL, LGPL, BSD, MIT/X, etc.)

No license?

>   Description     : Code::Blocks is a free C/C++ IDE built.
> 
> Code::Blocks is a free C/C++ IDE built specifically to meet the most
> demanding needs of its users. It has been designed, right from the
> start, to be extensible and configurable... Code::Blocks is built around
> a plugin framework that allows it to be extended through the use of
> external libraries (plugins). Actually, much of Code::Blocks
> functionality already available, is provided by plugins. Code::Blocks
> even includes a plugin creation wizard to help you create your own
> plugins easily!

Another C/C++ IDE? There is not much new in being able to support
plugins. What is different with code::blocks?


Michael
-- 
Escape the Java Trap with GNU Classpath!
http://www.gnu.org/philosophy/java-trap.html

Join the community at http://planet.classpath.org/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to François-Denis Gonthier <neumann@lostwebsite.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #15 received at 304570@bugs.debian.org (full text, mbox):

From: François-Denis Gonthier <neumann@lostwebsite.net>
To: 304570@bugs.debian.org
Subject: Re: Bug#304570: ITP: codeblocks -- Code::Blocks is a free C/C++ IDE built
Date: Thu, 14 Apr 2005 10:59:36 -0400
On April 14, 2005 12:39 am, Michael Koch wrote:

Aww.  I screwed up again.  I must have been too tired and/or enthusiastic when 
I submitted this.

> > * Package name    : codeblocks
> >   Version         : x.y.z

Version: 1.0-beta6

> No version?
>
> >   Upstream Author : Name <somebody@example.org>

Yiannis Mandravellos (mandrav@users.sf.net) 

> No upstream author?
>
> > * URL             : http://www.example.org/
>
> No homepage?

http://www.codeblocks.net & http://www.sf.net/projects/codeblocks

>
> > * License         : (GPL, LGPL, BSD, MIT/X, etc.)

> No license?

GPL

>
> >   Description     : Code::Blocks is a free C/C++ IDE built.
> >

This is the official description copied from the site:

> > Code::Blocks is a free C/C++ IDE built specifically to meet the most
> > demanding needs of its users. It has been designed, right from the
> > start, to be extensible and configurable... Code::Blocks is built around
> > a plugin framework that allows it to be extended through the use of
> > external libraries (plugins). Actually, much of Code::Blocks
> > functionality already available, is provided by plugins. Code::Blocks
> > even includes a plugin creation wizard to help you create your own
> > plugins easily!

> Another C/C++ IDE? There is not much new in being able to support
> plugins. What is different with code::blocks?

The first thing that made me find Code::Blocks was my search for a light C/C++ 
IDE supporting code completion out of the box.  KDevelop & Anjuta both do 
that but not as good as Eclipse for example.  Code::Blocks does it fine 
already.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to François-Denis Gonthier <neumann@lostwebsite.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #20 received at 304570@bugs.debian.org (full text, mbox):

From: François-Denis Gonthier <neumann@lostwebsite.net>
To: 304570@bugs.debian.org
Subject: Done (ITP Code::Blocks)
Date: Thu, 28 Apr 2005 16:10:54 +0000
Code::Blocks is now packaged.  The package is at 

http://www.lostwebsite.net/debian/

(maybe not fully correct yet but it's a matter of details)

but is not ready for mainstream usage.  The upstream package is still too 
unstable.

I will keep on releasing debian packages for new versions of Code::Blocks as 
they are release.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Lightsey <lightsey@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #25 received at 304570@bugs.debian.org (full text, mbox):

From: John Lightsey <lightsey@debian.org>
To: neumann@lostwebsite.net
Cc: 304570@bugs.debian.org
Subject: ITP: Codeblocks
Date: Fri, 27 Jan 2006 10:31:21 -0600
[Message part 1 (text/plain, inline)]
Hi there,

The other day I was looking for a cross platform C++ IDE that's a bit
lighter and better integrated than Eclipse + CDT.  The description and
screenshots of Codeblocks on their website looked quite good, and I'm a
fan of wxWidgets to begin with.  After that I saw your ITP on the WNPP
list and went to your website to look at the packages you created.
Unfortunately, the link you gave is dead now, and it doesn't look like
you've updated the ITP in the last 9 months or so.

Do you still intend to package codeblocks?

Do you have any packages built from the -rc2 release?


Thanks

John
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francois-Denis Gonthier <neumann@lostwebsite.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "francois-denis gonthier" <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #30 received at 304570@bugs.debian.org (full text, mbox):

From: Francois-Denis Gonthier <neumann@lostwebsite.net>
To: John Lightsey <lightsey@debian.org>, 304570@bugs.debian.org
Subject: Re: ITP: Codeblocks
Date: Fri, 27 Jan 2006 11:37:16 -0500
[Message part 1 (text/plain, inline)]
On Friday 27 January 2006 11:31, you wrote:
> Hi there,
>
> The other day I was looking for a cross platform C++ IDE that's a bit
> lighter and better integrated than Eclipse + CDT.  The description and
> screenshots of Codeblocks on their website looked quite good, and I'm a
> fan of wxWidgets to begin with.  After that I saw your ITP on the WNPP
> list and went to your website to look at the packages you created.
> Unfortunately, the link you gave is dead now, and it doesn't look like
> you've updated the ITP in the last 9 months or so.
>
> Do you still intend to package codeblocks?
>
> Do you have any packages built from the -rc2 release?
>
>
> Thanks
>
> John

Yes I do, see http://neutronic.mine.nu/unstable.

The package is not of Debian-quality right now.  Somebody was supposed to take 
over them but it seems like the guy is not in a hurry.  I'll ping him and 
finish those packages if he doesn't give a satisfying answer.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter from Francois-Denis Gonthier <neumann@lostwebsite.net> to netzmeister@source-code.de. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from "francois-denis gonthier" <neumann@lostwebsite.net> to netzmeister@source-code.de. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, netzmeister@source-code.de:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to andrew.nau.ua@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, netzmeister@source-code.de. Full text and rfc822 format available.

Message #39 received at 304570@bugs.debian.org (full text, mbox):

From: Andrew Pogrebennyk <andrew.nau.ua@gmail.com>
To: 304570@bugs.debian.org
Subject: ITP: codeblocks
Date: Thu, 03 Aug 2006 22:17:13 +0300
Hello,

http://neutronic.mine.nu/unstable likely does not contain any debian
packages atm.

Do you still intend to package codeblocks?

--
Regards,
Andrew Pogrebennyk



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, netzmeister@source-code.de:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to netzmeister <netzmeister@source-code.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, netzmeister@source-code.de. Full text and rfc822 format available.

Message #44 received at 304570@bugs.debian.org (full text, mbox):

From: netzmeister <netzmeister@source-code.de>
To: andrew.nau.ua@gmail.com, 304570@bugs.debian.org
Subject: Re: Bug#304570: ITP: codeblocks
Date: Fri, 04 Aug 2006 00:45:34 +0200
Andrew Pogrebennyk schrieb:
> Hello,
> 
> http://neutronic.mine.nu/unstable likely does not contain any debian
> packages atm.
> 
> Do you still intend to package codeblocks?
> 
> --
> Regards,
> Andrew Pogrebennyk
> 

Hello,
sorry, atm i've no time to package codeblocks.
(Job, Family...)
Can anyone else do this?

Regards,
Matthias Gutmann



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, netzmeister@source-code.de:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lucas <canolucas@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, netzmeister@source-code.de. Full text and rfc822 format available.

Message #49 received at 304570@bugs.debian.org (full text, mbox):

From: Lucas <canolucas@gmail.com>
To: 304570@bugs.debian.org
Date: Sat, 3 Feb 2007 19:59:52 -0300
[Message part 1 (text/plain, inline)]
Code::blocks is a great application. And it is indeed different to Eclipse.
Please release it in the debian repository.
I think that now, after 660 days, the current version is stable enough.

the web page is: http://codeblocks.org
License: GNU GENERAL PUBLIC LICENSE (GPL)



Current stable version: 1.0-RC2

If you still think that the version is unstable, at least realease it in the
unstable branch. Please.

I (and I think many poeple too) need a solution for this issue.

Thanks in advance.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, netzmeister@source-code.de:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Erick Mattos <erick.mattos@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, netzmeister@source-code.de. Full text and rfc822 format available.

Message #54 received at 304570@bugs.debian.org (full text, mbox):

From: Erick Mattos <erick.mattos@gmail.com>
To: 304570@bugs.debian.org
Cc: Matthias Gutmann <netzmeister@source-code.de>
Subject: Debian Package
Date: Wed, 23 May 2007 20:08:49 -0300
Hello,

I am using Code::Blocks for a while and I usually make the debian packages for 
myself.  I think the software is very good and I would like to upload the 
packages so other debian users can be benefitted as well.

It is a wonderful IDE:
	* Made entirelly on wxWidgets
	* Plug-ins achitecture directed
	* wxWidgets driven
	* Multi-platform
	* Small size
	* Compiler frontend to many free compilers
	* Debugger frontend for GDB (and CDB for windows platforms)
	* Source formatter (based on AStyle)
	* Code profiler (based on gprof)
	* Wizard to create new classes
	* Code-completion / class-browser (work in progress)
	* Code statistics (SLOCs etc)
	* Source exporter to PDF/HTML/ODT/RTF
	* Help
	* Keyboard shortcuts configuration
	* Wizard to create new Code::Blocks plugins
	* To-do list
	* GUI RAD builder (wxSmith)

Respectfully,
	Erick Mattos.



Owner changed from netzmeister@source-code.de to Erick Mattos <erick.mattos@gmail.com>. Request was from Erick Mattos <erick.mattos@gmail.com> to control@bugs.debian.org. (Sat, 09 Jun 2007 02:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ivan Vucica <ivucica@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #61 received at 304570@bugs.debian.org (full text, mbox):

From: Ivan Vucica <ivucica@gmail.com>
To: 304570@bugs.debian.org
Cc: erick.mattos@gmail.com
Subject: Work being done?
Date: Fri, 16 Nov 2007 16:38:52 +0100 (CET)
Hi,

Is anyone working on the Debian package now? Erick, have you made any 
progress regarding it?

Just my two cents why Code::Blocks is better than others.

Code::Blocks is extremely interesting since it provides multiplatform 
compatibility -- project files support specification of target as being 
for GNU/Linux, MacOS or Windows. Code::Blocks runs on those platforms, and 
the transition of project folder between platform and compiling is 
extremely easy.

It's a lot more lightweight than KDevelop. It isn't limited to Windows 
like Dev-Cpp. It has less bugs than Dev-Cpp. In fact, it's the best IDE I 
have seen feature/size/speed-wise.

------------
Ivan Vucica





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #66 received at 304570@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: Erick Mattos <erick.mattos@gmail.com>
Cc: 304570@bugs.debian.org
Subject: Re: Debian Package of Code::Blocks
Date: Fri, 23 Nov 2007 17:08:59 +0100
Hi Eric,

On Wed, May 23, 2007 at 08:08:49PM -0300, Erick Mattos wrote:
> I am using Code::Blocks for a while and I usually make the debian packages for 
> myself.  I think the software is very good and I would like to upload the 
> packages so other debian users can be benefitted as well.

Could you please upload your packages somewhere and give other Debian
users the opportunity to benefit from them? I am very eager to checkout
Code::Blocks...

Regards
  Micha




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #71 received at 304570@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 304570@bugs.debian.org
Cc: Erick Mattos <erick.mattos@gmail.com>, netzmeister <netzmeister@source-code.de>
Subject: ITP takeover?
Date: Sun, 17 Feb 2008 17:43:30 +0100
[Message part 1 (text/plain, inline)]
Hi,
is there any news on this package? I'd like to takeover the ITP, if there are
no objections.

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthias Gutmann <matthiasgutmann@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #76 received at 304570@bugs.debian.org (full text, mbox):

From: Matthias Gutmann <matthiasgutmann@gmx.net>
To: David Paleino <d.paleino@gmail.com>
Cc: 304570@bugs.debian.org, Erick Mattos <erick.mattos@gmail.com>, netzmeister <netzmeister@source-code.de>
Subject: Re: ITP takeover?
Date: Sun, 17 Feb 2008 17:59:48 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello David,
no problem for me. if you want it, just do it. ;-)

Matthias

David Paleino schrieb:
> Hi,
> is there any news on this package? I'd like to takeover the ITP, if there are
> no objections.
> 
> Kindly,
> David
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQEVAwUBR7hoBEybrE/6+P3kAQKingf/XNlajqDcTGDX0J5bDelpNhhuoASYuuxa
UP5+1NzA0RGJs/9bbFsgOKMsoPQNhFMz1mCPjBZMJBX3R9YbgcAbsLL1g8K78hCX
+THwhrNY+U/1zn8B7hVy4b9h4n9dLUoza8wOYZPBgVNVuOUpa7wZiTcw642H9HSN
c4p8DWTUkEpZa6+B0/yESlfELb+Y/jjFMTDkBVTSQh8ku5D1eYThWcmId3w+Bz90
kRB7cAB80vmdG+wjjc5qR++nfB1o4UR2hzjpGKi2x7IGyNd1ErEy3vPWbbIrPWVP
+gpvcfDXRhR1CNAxItOqrJej6WbToTnmsjjDeVkRpcyO0Cgp8Vv1IQ==
=KJdK
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Erick Mattos" <erick.mattos@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #81 received at 304570@bugs.debian.org (full text, mbox):

From: "Erick Mattos" <erick.mattos@gmail.com>
To: 304570@bugs.debian.org
Cc: "David Paleino" <d.paleino@gmail.com>, netzmeister <netzmeister@source-code.de>, debian-mentors@lists.debian.org
Subject: Re: ITP takeover?
Date: Sun, 17 Feb 2008 16:30:28 -0300
[Message part 1 (text/plain, inline)]
Hello David,

I am the owner of the ITP and I had been trying to add Code::Blocks to
Debian repositories.
I had created the packages more than once but always having to change
something to fulfill mentor's demands.  When everything was looking like it
would be finally solved then Code::Blocks team started to use the new
updated version of wxWidgets 2.8 which is not in the repositories. I had
tried to ask the maintainer of the previous versions for a new version but
he told me he wasn't in accordance that the new version was really stable
and that he was not intending to add it to the repositories and that he
thought it was better to wait for a version 3.0 of wxWidgets which was
planned to be released on last January.
After talking to a debian developer friend of mine for councils he argued to
me that it is not a good policy to build the uptodate version of wxWidgets
passing over the previous maintainer opinions and that he thought it would
be a good idea to wait for him to update wxWidgets before packaging
Code::Blocks again.
Afterwards I realized that:

   - the point-of-view of wxWidgets maintainer should be respected;
   - Code::Blocks is not really a stable software for now although I am
   using it anyway;
   - I do not intend to fork their work to make Code::Blocks compatible
   to the previous version wxWidgets 2.6;
   - I had been talking to the Code::Blocks creator and he thinks it will
   be better to package it after the release of 1.0 stable version.

Then I was forced to wait for this situation to be cleared up into any
direction before continuing the work and to accept that Debian distro really
gets stuck some times if some dependecies could not be satisfied by
community or even by one's point-of-view.
I have uploaded a lot of packages to debian mentors and the
first-before-last package is still available there so if you want you can
see it by yourself.
If you would like, I can forward all my communications to all of the people
involved.

Best regards,
Erick Mattos.

2008/2/17, David Paleino <d.paleino@gmail.com>:
>
> Hi,
> is there any news on this package? I'd like to takeover the ITP, if there
> are
> no objections.
>
> Kindly,
> David
>
> --
> . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
> : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
> `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
>    `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #86 received at 304570@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: "Erick Mattos" <erick.mattos@gmail.com>
Cc: 304570@bugs.debian.org, Matthias Gutmann <MatthiasGutmann@gmx.net>, debian-mentors@lists.debian.org
Subject: Re: ITP takeover?
Date: Sun, 17 Feb 2008 23:25:44 +0100
[Message part 1 (text/plain, inline)]
Il giorno Sun, 17 Feb 2008 16:30:28 -0300
"Erick Mattos" <erick.mattos@gmail.com> ha scritto:

> Hello David,

Hi Erick,

> I am the owner of the ITP and I had been trying to add Code::Blocks to
> Debian repositories.
> I had created the packages more than once but always having to change
> something to fulfill mentor's demands.  When everything was looking like it
> would be finally solved then Code::Blocks team started to use the new
> updated version of wxWidgets 2.8 which is not in the repositories.

I just realized that after sending my reply to that ITP :(

> I had tried to ask the maintainer of the previous versions for a new version
> but he told me he wasn't in accordance that the new version was really stable
> and that he was not intending to add it to the repositories and that he
> thought it was better to wait for a version 3.0 of wxWidgets which was
> planned to be released on last January.

Can't we propose him to upload it to experimental? That wouldn't hurt unstable
(thus also testing -- and stable) users, but we could still have Code::Blocks
inside Debian repositories.

> After talking to a debian developer friend of mine for councils he argued to
> me that it is not a good policy to build the uptodate version of wxWidgets
> passing over the previous maintainer opinions and that he thought it would be
> a good idea to wait for him to update wxWidgets before packaging Code::Blocks
> again. Afterwards I realized that:
> 
>    - the point-of-view of wxWidgets maintainer should be respected;
>    - Code::Blocks is not really a stable software for now although I am
>    using it anyway;
>    - I do not intend to fork their work to make Code::Blocks compatible
>    to the previous version wxWidgets 2.6;
>    - I had been talking to the Code::Blocks creator and he thinks it will
>    be better to package it after the release of 1.0 stable version.

Fully agree w.r.t. respecting upstream's decisions (ando also other
maintainers')

> Then I was forced to wait for this situation to be cleared up into any
> direction before continuing the work and to accept that Debian distro really
> gets stuck some times if some dependecies could not be satisfied by
> community or even by one's point-of-view.

Again, why don't you propose it for experimental?

> I have uploaded a lot of packages to debian mentors and the
> first-before-last package is still available there so if you want you can
> see it by yourself.

I'm currently using packages provided by the Code::Blocks team itself, plus the
wxWidgets from wxwidgets.org:

deb http://jens.lody.name/debian/ any main
deb-src http://jens.lody.name/debian/ any main
deb http://apt.wxwidgets.org/ etch-wx main

> If you would like, I can forward all my communications to all of the people
> involved.

Sure: I've changed "netzmeister" to Matthias Gutmann <MatthiasGutmann@gmx.net>
(which is the real name / address).
Before your reply we were planning on team-maintaining Code::Blocks -- if it
was the case. What do you think about this? (again: I'm talking about an
experimental package -- not unstable as its dependencies wouldn't be satisfied
in Debian at the moment)

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Erick Mattos" <erick.mattos@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #91 received at 304570@bugs.debian.org (full text, mbox):

From: "Erick Mattos" <erick.mattos@gmail.com>
To: 304570@bugs.debian.org
Cc: "David Paleino" <d.paleino@gmail.com>, "Matthias Gutmann" <MatthiasGutmann@gmx.net>, debian-mentors@lists.debian.org
Subject: Re: ITP takeover?
Date: Mon, 18 Feb 2008 14:49:39 -0300
[Message part 1 (text/plain, inline)]
Hi David,

2008/2/17, David Paleino <d.paleino@gmail.com>:
>
>
> Can't we propose him to upload it to experimental? That wouldn't hurt
> unstable
> (thus also testing -- and stable) users, but we could still have
> Code::Blocks
> inside Debian repositories.

As he told me, he doesn't believe on 2.8 version but he believes in
the 3.0version in the near future.
I think he wouldn't be interested about having a lot of work on a version he
doesn't see as stable enough just to let it go to experimental which is a
version only used or even known by people who are really testing softwares.

Fully agree w.r.t. respecting upstream's decisions (ando also other
> maintainers')

So do I, for two reasons:

   - He knows better than me the real situation of the softwares he have
   been involved for so much time.
   - I really want to help Debian because I am very grateful to this
   distro. It worths nothing to start fighting other members which are helping
   Debian for more time than me.


Again, why don't you propose it for experimental?

I really don't think it is a good idea as I told you before.  I am conformed
to wait though it is not my point-of-view.

I'm currently using packages provided by the Code::Blocks team itself, plus
> the
> wxWidgets from wxwidgets.org:
> deb http://jens.lody.name/debian/ any main
> deb-src http://jens.lody.name/debian/ any main
> deb http://apt.wxwidgets.org/ etch-wx main

My packages were based upon their job but the developers made those only to
let Debian users to have a package.
To create a package is completely different of that package be in
conformance to all Debian standards and able to go to the repositories.
That's why so much work.

Before your reply we were planning on team-maintaining Code::Blocks -- if it
> was the case. What do you think about this? (again: I'm talking about an
> experimental package -- not unstable as its dependencies wouldn't be
> satisfied
> in Debian at the moment)
>
Maintaining a package in the repositories is not a hard job.  There is
always someone looking forward to be a maintainer. It is not something that
one doesn't need too much help except by some rare cases.
So the only reasons for me not uploading it into the repositories are the
problems already related.
Anyway I really appreciate you are in a hurry to have Code::Blocks on the
repositories too.  I have been using it and I am very fan of the project.  I
really believe it will be very good to Debian and to Code::Blocks itself.
If you still will be so helpful at the moment of some change of the actual
blocks then write to me again so we can always help each other and the whole
community.
I think future communications from now on should be made without cc to
mentors and to the ITP bug hence we don't fill Debian systems with things we
can not be helped anyway.

Best regards,
     Erick Mattos.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@coders-nemesis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #96 received at 304570@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@coders-nemesis.eu>
To: 304570@bugs.debian.org
Subject: Code::Blocks / wx2.8 now in unstable
Date: Mon, 30 Jun 2008 22:16:17 +0200
[Message part 1 (text/plain, inline)]
Hi

As wxwidgets2.8 were uploaded to unstable today I guess Code::Blocks can
now be packaged again.

It seems you already have plenty of people wanting to help you package I
don't know if another one helping would be usefull but if so I would
really like helping you.

Regards

  Christoph

-- 
GPG-Key ID: 0x0372275D

/"\  ASCII Ribbon
\ /    Campaign
 X   against HTML
/ \   in eMails



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #101 received at 304570@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: 304570@bugs.debian.org, christoph@coders-nemesis.eu
Subject: Code::blocks packaging
Date: Sat, 19 Jul 2008 09:52:41 -0400
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I've packaged code::blocks for Ubuntu, passing lintian tests, and I'm
willing to submit and handle package maintenance for Debian if someone
is willing to sponsor me. I'm currently working with upstream to
resolve two minor issues with C::B (one with icons not showing up, and
a second with a path that required a rather nasty hack to be changed
to place plugins outside of /usr/share).

If any DD who is interested in Code::Blocks for Debian, I'm willing to
work with them to get my pre-existing package into the archive.
Michael

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: http://getfiregpg.org

iD8DBQFIgfGppblTBJ2i2psRAp0zAJ9My3dX4XJiIGjGsdVADk6niVLY+wCfZLly
f/78+ikgBtY3ZwcMdwuu5iI=
=4q7C
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #106 received at 304570@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: "Michael Casadevall" <sonicmctails@gmail.com>
Cc: 304570@bugs.debian.org
Subject: Re: Code::blocks packaging
Date: Fri, 01 Aug 2008 23:28:45 +0300
[Message part 1 (text/plain, inline)]
Michael, have you posted an RFS at debian-mentors@l.d.o?

-- 
Eugene V. Lyubimkin aka JackYF, Ukrainian C++ developer.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #111 received at 304570@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
Cc: 304570@bugs.debian.org
Subject: Re: Code::blocks packaging
Date: Sat, 2 Aug 2008 00:42:45 -0400
[Message part 1 (text/plain, inline)]
No, I haven't. With Lenny in freeze, I haven't seen the point in submitting
an RFS.
Michael

On Fri, Aug 1, 2008 at 4:28 PM, Eugene V. Lyubimkin
<jackyf.devel@gmail.com>wrote:

> Michael, have you posted an RFS at debian-mentors@l.d.o?
>
> --
> Eugene V. Lyubimkin aka JackYF, Ukrainian C++ developer.
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #116 received at 304570@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: 304570@bugs.debian.org
Cc: "Michael Casadevall" <sonicmctails@gmail.com>
Subject: Re: Code::blocks packaging
Date: Fri, 5 Sep 2008 22:57:53 +0200
Hello Michael,

I found your package on mentors archive, and I'm generally interested in 
uploading codeblocks to Debian archive, since I intend to use it. In fact we 
have already gave it a try and found it much lightweight and intuitive as 
compared to eclipse + CDT for instance and AFAICS reading that buglog there 
are quite some people interested in codeblocks package who are now using 
their own local ones. Packaging looks fine to, but some comments though:

* I found some pieces of code which seem to be external projects (tinyxml, 
wxscintilla, both hosted at sf.net); a simple grep for `author' or `file by' 
would reveals these details. Also licensecheck (devscripts) would be helpful. 
So, these licences and copyrights should also be listed in debian/copyright 
file, which presumably is in machine interpretable format. However, having so 
much code duplication doesn't help security, so we would be better off 
approaching upstream and find ways to use these packages (not packaged yet) 
separately, and not carry them with codeblocks source tree. These could be 
sort of tedious and time consuming dealing with upstream.

* I haven't looked at their trunk lately, but is there any progress on sorting 
out that `global plugins path' hack you have applied to the package ?

* I also think that such a tremendous package as a codebase should be 
maintained by a team, ubuntu guys are also welcome of course. Any 
suggestions ?

[1] http://wiki.debian.org/Proposals/CopyrightFormat

-- 
pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Michael Casadevall" <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. Full text and rfc822 format available.

Message #121 received at 304570@bugs.debian.org (full text, mbox):

From: "Michael Casadevall" <sonicmctails@gmail.com>
To: "George Danchev" <danchev@spnet.net>
Cc: 304570@bugs.debian.org
Subject: Re: Code::blocks packaging
Date: Fri, 5 Sep 2008 16:51:26 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Woo, I had almost given up trying to find a sponsor for this package,
most people took off screaming :-).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: http://getfiregpg.org

iEYEARECAAYFAkjBm80ACgkQpblTBJ2i2pufMgCbBretKAaIRDzB3S3h6/syJJL2
6f8An3S2klIL/QWGbFwVygH+ZFMEFt7L
=j+IH
-----END PGP SIGNATURE-----

On Fri, Sep 5, 2008 at 4:57 PM, George Danchev <danchev@spnet.net> wrote:
> Hello Michael,
>
> I found your package on mentors archive, and I'm generally interested in
> uploading codeblocks to Debian archive, since I intend to use it. In fact we
> have already gave it a try and found it much lightweight and intuitive as
> compared to eclipse + CDT for instance and AFAICS reading that buglog there
> are quite some people interested in codeblocks package who are now using
> their own local ones. Packaging looks fine to, but some comments though:
>
> * I found some pieces of code which seem to be external projects (tinyxml,
> wxscintilla, both hosted at sf.net); a simple grep for `author' or `file by'
> would reveals these details. Also licensecheck (devscripts) would be helpful.
> So, these licences and copyrights should also be listed in debian/copyright
> file, which presumably is in machine interpretable format. However, having so
> much code duplication doesn't help security, so we would be better off
> approaching upstream and find ways to use these packages (not packaged yet)
> separately, and not carry them with codeblocks source tree. These could be
> sort of tedious and time consuming dealing with upstream.
>
Probably a good idea, but it requires a lot of coordination with
upstream, which I'm not sure they're willing to do. The copyright file
however I agree can be updated.

> * I haven't looked at their trunk lately, but is there any progress on sorting
> out that `global plugins path' hack you have applied to the package ?
>
No response on multiple threads and posts (not just me) to fix this
bug. I get the feeling its not going to get fixed anytime soon.

> * I also think that such a tremendous package as a codebase should be
> maintained by a team, ubuntu guys are also welcome of course. Any
> suggestions ?
>
The package is maintained by the MOTU team in Ubuntu (I did the
initial packaging work, and a peek at the changelog shows that its
already an accepted Ubuntu package), but I have no objections to
making it a team package; My only condition is I allow day-zero NMUs
on my packages, and any co-maintainer must allow that on packages I
co-maintain with. Other then that, no issues with any NM or DD who
wishs to work on it.
Michael

> [1] http://wiki.debian.org/Proposals/CopyrightFormat
>
> --
> pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>
>




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 29 Oct 2008 07:09:04 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Sun, 08 Mar 2009 21:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. (Sun, 08 Mar 2009 21:09:03 GMT) Full text and rfc822 format available.

Message #130 received at 304570@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 304570@bugs.debian.org
Cc: 304570-submitter@bugs.debian.org, Michael Casadevall <sonicmctails@gmail.com>, George Danchev <danchev@spnet.net>
Subject: CodeBlocks upload rejected?
Date: Sun, 8 Mar 2009 16:06:36 -0500
[Message part 1 (text/plain, inline)]
Hi,

This bug has a very long history :-)

The entries of 2008-10-29 and 2008-12-07 suggest that the package was
uploaded then rejected.  What is the problem?  How can I help get
CodeBlocks into Debian?

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Message sent on to netzmeister@source-code.de:
Bug#304570. (Sun, 08 Mar 2009 21:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Sun, 08 Mar 2009 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. (Sun, 08 Mar 2009 21:18:06 GMT) Full text and rfc822 format available.

Message #138 received at 304570@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 304570@bugs.debian.org, 304570-submitter@bugs.debian.org, Michael Casadevall <sonicmctails@gmail.com>
Subject: Re: CodeBlocks upload rejected?
Date: Sun, 8 Mar 2009 23:15:38 +0200
On Sunday 08 March 2009 23:06:36 Steve M. Robbins wrote:
> Hi,

Hi,

> This bug has a very long history :-)
>
> The entries of 2008-10-29 and 2008-12-07 suggest that the package was
> uploaded then rejected.  What is the problem?  How can I help get
> CodeBlocks into Debian?

I left some traces on that bug, but I didn't uploaded the package, thus I have 
no clue what the reasoning behind that rejection was, though I'd like to know 
too.

-- 
pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>




Message sent on to netzmeister@source-code.de:
Bug#304570. (Sun, 08 Mar 2009 21:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Sun, 08 Mar 2009 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Casadevall <sonicmctails@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Erick Mattos <erick.mattos@gmail.com>. (Sun, 08 Mar 2009 23:27:05 GMT) Full text and rfc822 format available.

Message #146 received at 304570@bugs.debian.org (full text, mbox):

From: Michael Casadevall <sonicmctails@gmail.com>
To: George Danchev <danchev@spnet.net>
Cc: "Steve M. Robbins" <steve@sumost.ca>, 304570@bugs.debian.org, 304570-submitter@bugs.debian.org
Subject: Re: CodeBlocks upload rejected?
Date: Sun, 8 Mar 2009 19:23:03 -0400
I'm the person who submitted this package to Ubuntu, and to Debian.
There was some issues with the copyright file which caused the Debian
REJECT (it's currently in Ubuntu's universe repo). It's been on my
TODO list to fix the copyright and reupload.
Michael

On Sun, Mar 8, 2009 at 5:15 PM, George Danchev <danchev@spnet.net> wrote:
> On Sunday 08 March 2009 23:06:36 Steve M. Robbins wrote:
>> Hi,
>
> Hi,
>
>> This bug has a very long history :-)
>>
>> The entries of 2008-10-29 and 2008-12-07 suggest that the package was
>> uploaded then rejected.  What is the problem?  How can I help get
>> CodeBlocks into Debian?
>
> I left some traces on that bug, but I didn't uploaded the package, thus I have
> no clue what the reasoning behind that rejection was, though I'd like to know
> too.
>
> --
> pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>
>




Message sent on to netzmeister@source-code.de:
Bug#304570. (Sun, 08 Mar 2009 23:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Wed, 19 May 2010 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ernesto Domato <edomat@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>. (Wed, 19 May 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #154 received at 304570@bugs.debian.org (full text, mbox):

From: Ernesto Domato <edomat@gmail.com>
To: 304570@bugs.debian.org
Cc: sonicmctails@gmail.com
Subject: Status of this ITP?
Date: Wed, 19 May 2010 13:00:01 -0300
Hi, I was wondering what's the status of this ITP since it was filled
5 years ago :-)

This package is already on Ubuntu and the codeblocks site has also
packages for Debian.

Michael, have you been able to fis this problem?.

Thanks.
Ernesto




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Tue, 24 Aug 2010 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>. (Tue, 24 Aug 2010 08:18:03 GMT) Full text and rfc822 format available.

Message #159 received at 304570@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 304570@bugs.debian.org
Cc: cosme.ddiaz@gmail.com, 304570-submitter@bugs.debian.org, sonicmctails@gmail.com, erick.mattos@gmail.com
Subject: How's the progress here?
Date: Tue, 24 Aug 2010 10:15:35 +0200
Hi,

how is the progress here?

Cosme has done a great job for Ubuntu and I wondering if it's possible
doing the same for Debian.

Hope to hear from you soon.

-- 
Alessio Treglia <alessio@alessiotreglia.com>
Debian & Ubuntu Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Message sent on to netzmeister@source-code.de:
Bug#304570. (Tue, 24 Aug 2010 08:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#304570; Package wnpp. (Tue, 24 Aug 2010 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erick Mattos <erick.mattos@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Aug 2010 19:21:03 GMT) Full text and rfc822 format available.

Message #167 received at 304570@bugs.debian.org (full text, mbox):

From: Erick Mattos <erick.mattos@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 304570@bugs.debian.org, cosme.ddiaz@gmail.com, sonicmctails@gmail.com
Subject: Re: How's the progress here?
Date: Tue, 24 Aug 2010 16:17:54 -0300
Hi,

I am not interested anymore in packing Code::Blocks for various reasons.

Anyone interested have only to take control of the ITP bug and do it.

Regards

2010/8/24 Alessio Treglia <alessio@debian.org>:
> Hi,
>
> how is the progress here?
>
> Cosme has done a great job for Ubuntu and I wondering if it's possible
> doing the same for Debian.
>
> Hope to hear from you soon.
>
> --
> Alessio Treglia <alessio@alessiotreglia.com>
> Debian & Ubuntu Developer | Homepage: http://www.alessiotreglia.com
> 0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Tue, 24 Aug 2010 19:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>. (Tue, 24 Aug 2010 19:33:07 GMT) Full text and rfc822 format available.

Message #172 received at 304570@bugs.debian.org (full text, mbox):

From: Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>
To: 304570@bugs.debian.org
Subject: Re: How's the progress here?
Date: Tue, 24 Aug 2010 21:32:21 +0200
2010/8/24 Erick Mattos <erick.mattos@gmail.com>:
> Hi,
>
> I am not interested anymore in packing Code::Blocks for various reasons.
>
> Anyone interested have only to take control of the ITP bug and do it.

Sorry but I don't understand.

What is the problem with Code::Blocks package?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#304570; Package wnpp. (Tue, 24 Aug 2010 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erick Mattos <erick.mattos@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Aug 2010 22:03:06 GMT) Full text and rfc822 format available.

Message #177 received at 304570@bugs.debian.org (full text, mbox):

From: Erick Mattos <erick.mattos@gmail.com>
To: Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>, 304570@bugs.debian.org
Subject: Re: Bug#304570: How's the progress here?
Date: Tue, 24 Aug 2010 18:58:39 -0300
Hi,

2010/8/24 Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>:
> What is the problem with Code::Blocks package?

I was trying to package Code::Blocks 2 years ago and had problems
because wxWidgets maintainer wasn't interested in packaging version
2.8, dependency of Code::Blocks at that moment.  After a huge
conversation with him with no results, I gave up my intent.

After that I also quit using Code::Blocks and wxWidgets and started
using qt libraries most of the time.  Now I am involved in other FLOSS
coding too.

So I am not interested in Code::Blocks anymore and anyone who does
have only to take the ITP bug ownership and try to package it.

Regards




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>:
Bug#304570; Package wnpp. (Fri, 27 Aug 2010 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Mistry <kartik@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erick Mattos <erick.mattos@gmail.com>. (Fri, 27 Aug 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #182 received at 304570@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 304570@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#304570: How's the progress here?
Date: Fri, 27 Aug 2010 22:27:54 +0530
owner 304570 !
thanks

Hi all,

Whoo. Long time, No codeblocks!!

Let me give try. Package from Ubuntu should work as the work done at
there is amazing. I've just built/test package.

Excellent quality. Anyone want to join me or should I take care and upload?

Owning ITP at moment and experimental upload should follow if weekend goes well.

-- 
Kartik Mistry
Debian GNU/Linux Developer
IRC: kart_ | Identica: @kartikm




Owner changed from Erick Mattos <erick.mattos@gmail.com> to Kartik Mistry <kartik@debian.org>. Request was from Kartik Mistry <kartik@debian.org> to control@bugs.debian.org. (Fri, 27 Aug 2010 17:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kartik Mistry <kartik@debian.org>:
Bug#304570; Package wnpp. (Sun, 16 Jan 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kartik Mistry <kartik@debian.org>. (Sun, 16 Jan 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #189 received at 304570@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: 304570@bugs.debian.org
Subject: Reward
Date: Sun, 16 Jan 2011 23:30:08 +0100
I offer a little reward: 
http://nextsprocket.com/tasks/packaging-code-blocks-for-debian

Deadline: 01/mar/2011

Regards,
Carlo

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kartik Mistry <kartik@debian.org>:
Bug#304570; Package wnpp. (Mon, 17 Jan 2011 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kartik Mistry <kartik@debian.org>. (Mon, 17 Jan 2011 11:00:03 GMT) Full text and rfc822 format available.

Message #194 received at 304570@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: kartik@debian.org
Cc: 304570@bugs.debian.org
Subject: Code::Blocks status?
Date: Mon, 17 Jan 2011 11:56:29 +0100
[Message part 1 (text/plain, inline)]
Hello Kartik,
what's the status of Code::Blocks?
You wrote in August about packaging it :)

Thanks,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kartik Mistry <kartik@debian.org>:
Bug#304570; Package wnpp. (Tue, 18 Jan 2011 03:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to kartik@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kartik Mistry <kartik@debian.org>. (Tue, 18 Jan 2011 03:27:06 GMT) Full text and rfc822 format available.

Message #199 received at 304570@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: dapal@debian.org, 304570@bugs.debian.org
Subject: Re: Bug#304570: Code::Blocks status?
Date: Tue, 18 Jan 2011 08:52:17 +0530
On Mon, Jan 17, 2011 at 4:26 PM, David Paleino <dapal@debian.org> wrote:
> what's the status of Code::Blocks?
> You wrote in August about packaging it :)

Looks like I forgot to update. If you want, feel free to take ITP :)

-- 
Kartik Mistry
Debian GNU/Linux Developer
IRC: kart_ | Identica: @kartikm




Owner changed from Kartik Mistry <kartik@debian.org> to David Paleino <dapal@debian.org>. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 18 Jan 2011 07:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#304570; Package wnpp. (Thu, 20 Jan 2011 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Thu, 20 Jan 2011 11:03:06 GMT) Full text and rfc822 format available.

Message #206 received at 304570@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: secure-testing-team@lists.alioth.debian.org
Cc: 304570@bugs.debian.org, iuculano@debian.org
Subject: Embedded code in prospective package (Code::Blocks)
Date: Thu, 20 Jan 2011 12:01:38 +0100
[Message part 1 (text/plain, inline)]
Hello,
I'm working on the codeblocks package, ITP #304570.
However, it embeds some external sources, which in some cases were modified
to suit C::B's needs.

Here's the list, in the format described in embedded-code-copies.

tinyxml:
 - codeblocks <itp> (partial embed)

mozilla_chardet:
 - codeblocks <itp> (embed)

squirrel (a scripting language, not in Debian):
 - codeblocks <itp> (embed)

astyle:
 - codeblocks <itp> (embed)

depslib (part of the "Perforce Jam" buildsystem):
 - codeblocks <itp> (embed)

scintilla:
 - codeblocks <itp> (fork)

wxscintilla:
 - codeblocks <itp> (fork)


Would it be ok to upload it to NEW with the above?
All the embedded code is part of various plugins, and they need to be
compiled at the same time.

I'll wait for a reply before uploading to NEW.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#304570; Package wnpp. (Thu, 20 Jan 2011 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Thu, 20 Jan 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #211 received at 304570@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: team@security.debian.org
Cc: 304570@bugs.debian.org, iuculano@debian.org
Subject: Fw: Embedded code in prospective package (Code::Blocks)
Date: Thu, 20 Jan 2011 20:01:44 +0100
[Message part 1 (text/plain, inline)]
Forwarding the mail previously sent to secure-testing-team@l.a.d.o.

Please keep the bug CCed on replies :)

> Date: Thu, 20 Jan 2011 12:01:38 +0100
> From: David Paleino <dapal@debian.org>
> To secure-testing-team@lists.alioth.debian.org
> Cc: 304570@bugs.debian.org, iuculano@debian.org
> Subject: Embedded code in prospective package (Code::Blocks)
>
>
> Hello,
> I'm working on the codeblocks package, ITP #304570.
> However, it embeds some external sources, which in some cases were modified
> to suit C::B's needs.
>
> Here's the list, in the format described in embedded-code-copies.
>
> tinyxml:
>  - codeblocks <itp> (partial embed)
>
> mozilla_chardet:
>  - codeblocks <itp> (embed)
>
> squirrel (a scripting language, not in Debian):
>  - codeblocks <itp> (embed)
>
> astyle:
>  - codeblocks <itp> (embed)
>
> depslib (part of the "Perforce Jam" buildsystem):
>  - codeblocks <itp> (embed)
>
> scintilla:
>  - codeblocks <itp> (fork)
>
> wxscintilla:
>  - codeblocks <itp> (fork)
>
>
> Would it be ok to upload it to NEW with the above?
> All the embedded code is part of various plugins, and they need to be
> compiled at the same time.
>
> I'll wait for a reply before uploading to NEW.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#304570; Package wnpp. (Sat, 22 Jan 2011 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 22 Jan 2011 18:24:03 GMT) Full text and rfc822 format available.

Message #216 received at 304570@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: dapal@debian.org
Cc: team@security.debian.org, 304570@bugs.debian.org
Subject: Re: Fw: Embedded code in prospective package (Code::Blocks)
Date: Sat, 22 Jan 2011 19:21:40 +0100
[Message part 1 (text/plain, inline)]
Ciao David,

On 01/20/2011 08:01 PM, David Paleino wrote:

>> Would it be ok to upload it to NEW with the above?
>> All the embedded code is part of various plugins, and they need to be
>> compiled at the same time.
>>
>> I'll wait for a reply before uploading to NEW.

No objections against uploading it, those code copies don't strike me as
a security-relevant overhead


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: codeblocks -- Code::Blocks integrated development environment (IDE)' from 'ITP: codeblocks -- Code::Blocks is a free C/C++ IDE built' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 07:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 07:03:05 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <dapal@debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 15:06:03 GMT) Full text and rfc822 format available.

Notification sent to netzmeister@source-code.de:
Bug acknowledged by developer. (Sat, 19 Feb 2011 15:06:03 GMT) Full text and rfc822 format available.

Message #225 received at 304570-close@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 304570-close@bugs.debian.org
Subject: Bug#304570: fixed in codeblocks 10.05-1
Date: Sat, 19 Feb 2011 15:02:31 +0000
Source: codeblocks
Source-Version: 10.05-1

We believe that the bug you reported is fixed in the latest version of
codeblocks, which is due to be installed in the Debian FTP archive:

codeblocks-common_10.05-1_all.deb
  to main/c/codeblocks/codeblocks-common_10.05-1_all.deb
codeblocks-contrib-dbg_10.05-1_i386.deb
  to main/c/codeblocks/codeblocks-contrib-dbg_10.05-1_i386.deb
codeblocks-contrib_10.05-1_i386.deb
  to main/c/codeblocks/codeblocks-contrib_10.05-1_i386.deb
codeblocks-dbg_10.05-1_i386.deb
  to main/c/codeblocks/codeblocks-dbg_10.05-1_i386.deb
codeblocks-dev_10.05-1_i386.deb
  to main/c/codeblocks/codeblocks-dev_10.05-1_i386.deb
codeblocks_10.05-1.debian.tar.gz
  to main/c/codeblocks/codeblocks_10.05-1.debian.tar.gz
codeblocks_10.05-1.dsc
  to main/c/codeblocks/codeblocks_10.05-1.dsc
codeblocks_10.05-1_i386.deb
  to main/c/codeblocks/codeblocks_10.05-1_i386.deb
codeblocks_10.05.orig.tar.bz2
  to main/c/codeblocks/codeblocks_10.05.orig.tar.bz2
libcodeblocks0_10.05-1_i386.deb
  to main/c/codeblocks/libcodeblocks0_10.05-1_i386.deb
libwxsmithlib-dev_10.05-1_i386.deb
  to main/c/codeblocks/libwxsmithlib-dev_10.05-1_i386.deb
libwxsmithlib0-dev_10.05-1_i386.deb
  to main/c/codeblocks/libwxsmithlib0-dev_10.05-1_i386.deb
libwxsmithlib0_10.05-1_i386.deb
  to main/c/codeblocks/libwxsmithlib0_10.05-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 304570@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <dapal@debian.org> (supplier of updated codeblocks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 22 Jan 2011 20:58:57 +0100
Source: codeblocks
Binary: codeblocks codeblocks-common libcodeblocks0 codeblocks-dbg codeblocks-contrib codeblocks-contrib-dbg codeblocks-dev libwxsmithlib0 libwxsmithlib-dev libwxsmithlib0-dev
Architecture: source i386 all
Version: 10.05-1
Distribution: unstable
Urgency: low
Maintainer: David Paleino <dapal@debian.org>
Changed-By: David Paleino <dapal@debian.org>
Description: 
 codeblocks - Code::Blocks integrated development environment (IDE)
 codeblocks-common - common files for Code::Blocks IDE
 codeblocks-contrib - contrib plugins for Code::Blocks IDE
 codeblocks-contrib-dbg - Debugging libraries for the Code::Blocks contrib plugins
 codeblocks-dbg - Code::Blocks debugging libraries
 codeblocks-dev - Code::Blocks development files (SDK)
 libcodeblocks0 - Code::Blocks shared library
 libwxsmithlib-dev - wxSmith development files (Code::Blocks plugin for RAD GUI editin
 libwxsmithlib0 - wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 libwxsmithlib0-dev - dummy transitional package for wxSmith development files
Closes: 304570
Changes: 
 codeblocks (10.05-1) unstable; urgency=low
 .
   * Initial Debian release (Closes: #304570)
   * Setting myself as Maintainer, original Ubuntu maintainer set as
     Uploader
   * Use debian/watch to get the original tarball, instead of an ad-hoc
     script
   * Wrap multivalue fields in debian/control
   * Update debian/copyright with lots of missing info, and use DEP-5
   * Add missing linkage to libX11 (03-fix_libX11_linkage.patch)
   * Use dh7 for debian/rules
   * Build-Depend on dh-autoreconf, since we need to re-generate autotools
     machinery (libtool version mismatch)
   * Migrate from libwxsmithlib0-dev to libwxsmithlib-dev, to ease
     future SONAME bumps.
Checksums-Sha1: 
 7f3a639ce0fb49fecd9cfe956e4a4033eceb2110 1387 codeblocks_10.05-1.dsc
 c626876da2035b2c1d1f55ebd987da14ea7420d9 19809 codeblocks_10.05-1.debian.tar.gz
 4d33c93a8093351e24bcd794e43ac30176718e49 1994436 codeblocks_10.05-1_i386.deb
 3bcd1692a421320701a031f66d6d8156f0e03dd8 2962762 codeblocks-common_10.05-1_all.deb
 3be0e38741b8be10f6616041c7ff1775f2d3c90c 2001086 libcodeblocks0_10.05-1_i386.deb
 c2a298e04eff9b56750700d4d8e19f4457df1522 18276592 codeblocks-dbg_10.05-1_i386.deb
 65c0992604139f3a327f004fa1d11e6c521ca4fb 3833200 codeblocks-contrib_10.05-1_i386.deb
 932ca49045b7047fcdd80b434bc9cd58a58fa88b 27709866 codeblocks-contrib-dbg_10.05-1_i386.deb
 fbac3489de95ff422682bf92288fa250468af461 455052 codeblocks-dev_10.05-1_i386.deb
 c9b69e7f710465416b94e2239a4535fa2e890873 1234608 libwxsmithlib0_10.05-1_i386.deb
 2d848f4e1b7344b8072a7d8c300812deaa9e1d5e 422914 libwxsmithlib-dev_10.05-1_i386.deb
 c14254743849db289af83099b333cd3d350162df 239402 libwxsmithlib0-dev_10.05-1_i386.deb
 7dae764c9744cf26905dbd7b0be04c02fde09066 7020212 codeblocks_10.05.orig.tar.bz2
Checksums-Sha256: 
 fe8e436f8f0f7b43db898a22782c583f9fefd62668c2e51a100a5591a7ca8e06 1387 codeblocks_10.05-1.dsc
 b1bfce72f439fbdfd554f5bf78ed23831217e6055c7fc18b870e33ff55e465b6 19809 codeblocks_10.05-1.debian.tar.gz
 b935aa3f2690d0a6f3f20b4fb97fc73b38cf2011b68b6249129f6d4d90678d40 1994436 codeblocks_10.05-1_i386.deb
 73b11ef4b74058d44214495449ec4fa497aff601053828511db59cba1850f528 2962762 codeblocks-common_10.05-1_all.deb
 9924c44abbdb9350a6b60f2252f37d09c0b44305e695d126aa2c388c1a6d012f 2001086 libcodeblocks0_10.05-1_i386.deb
 23e40a3f8b739943bb2d1f0b883af34b029da32ad0a5d5773f4be7180e10bc6e 18276592 codeblocks-dbg_10.05-1_i386.deb
 07c5fe2cc2df0596bc91e03da45a72aea6550cc257329b6e73e63ffda601d38d 3833200 codeblocks-contrib_10.05-1_i386.deb
 aeaaa0349fc193bb29870064fddc5d9bb840b9c27fa17e2295f7d5941f0bd0d6 27709866 codeblocks-contrib-dbg_10.05-1_i386.deb
 bb64010eb5d1c463cfa9d96bb70a214869448ab7c02705cfde56cad6ddb2eb49 455052 codeblocks-dev_10.05-1_i386.deb
 e64638fde1bbf547a9d82eecc2c48696bddcbe8fae723839b3d1b6f1e7995869 1234608 libwxsmithlib0_10.05-1_i386.deb
 2b8b12c98784fe7dcdf6a244ba3ec1c484c79e3f63595f45d9f4778eec23d16a 422914 libwxsmithlib-dev_10.05-1_i386.deb
 1dc1d99f7021ce0c9438a4e5ecd0c897e29f8c2c89ba6c1a37247694f18b5021 239402 libwxsmithlib0-dev_10.05-1_i386.deb
 74fbaaae8f8c19d11560a62abf563d0b2bdc520b4f8bd261b307a132373a26e6 7020212 codeblocks_10.05.orig.tar.bz2
Files: 
 9596c5ed8f1f2aa2c9e1e86d2cde2c81 1387 x11 optional codeblocks_10.05-1.dsc
 e09780891ad20acd32d917f14f416795 19809 x11 optional codeblocks_10.05-1.debian.tar.gz
 e951929b473dcb0c5588474398a0c7c6 1994436 devel optional codeblocks_10.05-1_i386.deb
 43f79476fbac00ebb771a7a6c29ed8cc 2962762 x11 optional codeblocks-common_10.05-1_all.deb
 6258871a246f8b2a1d01168093418f3f 2001086 libs optional libcodeblocks0_10.05-1_i386.deb
 f511020aafc84bc51c269d7e46a98269 18276592 debug extra codeblocks-dbg_10.05-1_i386.deb
 516a8b81da13145d729a5f9930638a1a 3833200 x11 optional codeblocks-contrib_10.05-1_i386.deb
 0eb50b22e825b1bea48d5f28635c4eea 27709866 debug extra codeblocks-contrib-dbg_10.05-1_i386.deb
 50afc1bb57e62caad4dcd510c37831ad 455052 libdevel optional codeblocks-dev_10.05-1_i386.deb
 4eef4b568f5cecc9a82833edea2852a0 1234608 libs optional libwxsmithlib0_10.05-1_i386.deb
 388fc1c54483156e8b07260dfddcd1f2 422914 libdevel optional libwxsmithlib-dev_10.05-1_i386.deb
 3ed39328119de8a4fcb5527bfa975135 239402 libdevel optional libwxsmithlib0-dev_10.05-1_i386.deb
 6070fdcafa3b50b4823ad1b6808bf1c2 7020212 x11 optional codeblocks_10.05.orig.tar.bz2

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk070IkACgkQ5qqQFxOSsXRcXwCdGycNlVthWllCE6yDFbX8UPok
aOoAn3hpOH3Vx2zInTvfpbzz4lVjKzmh
=jNWe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:45:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:01:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.